Rensei docs

Get effective project defaults and their resolution sources.

Returns the resolved workflow, project, organization, or system source for each supported default. Resource configuration and credentials are never returned.

GET
/api/projects/{projectId}/effective-defaults

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

projectId*string

Response Body

Effective defaults for the authorized project.

application/json
  1. response
model*
subAgentModel*
modelProfileId*
projectName*
primaryRepo*
primaryTracker*
primaryKit*
primaryCredential*
primaryCapacityPool*
capabilities*
primaryHarness*
primarySandboxProvider*
Example Request
curl -X GET 'https://app.rensei.ai/api/projects/string/effective-defaults'
Example Response
{  "model": {    "value": "string",    "source": "workflow"  },  "subAgentModel": {    "value": "string",    "source": "workflow"  },  "modelProfileId": {    "value": "string",    "source": "workflow"  },  "projectName": {    "value": "string",    "source": "workflow"  },  "primaryRepo": {    "value": "string",    "source": "workflow"  },  "primaryTracker": {    "value": "string",    "source": "workflow"  },  "primaryKit": {    "value": "string",    "source": "workflow",    "name": "string"  },  "primaryCredential": {    "value": "string",    "source": "workflow",    "name": "string"  },  "primaryCapacityPool": {    "value": "string",    "source": "workflow",    "name": "string"  },  "capabilities": {    "value": "string",    "source": "workflow",    "name": "string"  },  "primaryHarness": {    "value": "string",    "source": "workflow",    "name": "string"  },  "primarySandboxProvider": {    "value": "string",    "source": "workflow",    "name": "string"  }}